<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ActiveSoakTests StructType
 * @subpackage Structs
 */
class ActiveSoakTests extends AbstractStructBase
{
    /**
     * The History
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\ArrayType\ArrayOfNumberDatetimePair
     */
    public $History;
    /**
     * The Zones
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\ArrayType\ArrayOfInt1
     */
    public $Zones;
    /**
     * Constructor method for ActiveSoakTests
     * @uses ActiveSoakTests::setHistory()
     * @uses ActiveSoakTests::setZones()
     * @param \CustomerManagement\ArrayType\ArrayOfNumberDatetimePair $history
     * @param \CustomerManagement\ArrayType\ArrayOfInt1 $zones
     */
    public function __construct(\CustomerManagement\ArrayType\ArrayOfNumberDatetimePair $history = null, \CustomerManagement\ArrayType\ArrayOfInt1 $zones = null)
    {
        $this
            ->setHistory($history)
            ->setZones($zones);
    }
    /**
     * Get History value
     * @return \CustomerManagement\ArrayType\ArrayOfNumberDatetimePair|null
     */
    public function getHistory()
    {
        return $this->History;
    }
    /**
     * Set History value
     * @param \CustomerManagement\ArrayType\ArrayOfNumberDatetimePair $history
     * @return \CustomerManagement\StructType\ActiveSoakTests
     */
    public function setHistory(\CustomerManagement\ArrayType\ArrayOfNumberDatetimePair $history = null)
    {
        $this->History = $history;
        return $this;
    }
    /**
     * Get Zones value
     * @return \CustomerManagement\ArrayType\ArrayOfInt1|null
     */
    public function getZones()
    {
        return $this->Zones;
    }
    /**
     * Set Zones value
     * @param \CustomerManagement\ArrayType\ArrayOfInt1 $zones
     * @return \CustomerManagement\StructType\ActiveSoakTests
     */
    public function setZones(\CustomerManagement\ArrayType\ArrayOfInt1 $zones = null)
    {
        $this->Zones = $zones;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\ActiveSoakTests
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
